Whirr
  1. Whirr
  2. WHIRR-240

[HBase] Enable support for HBase 0.90.x

    Details

    • Type: New Feature New Feature
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 0.3.0
    • Fix Version/s: 0.6.0
    • Component/s: service/hbase
    • Labels:
      None

      Description

      HBase 0.90.0 is a difficult release as it either needs CDH or a patched Hadoop (with append) to work. The Apache tarballs won't do and HBase will not start.

      One way possible is to deploy the Apache Hadoop 0.20.2 tarball and then override the core jar with the one supplied by HBase. Since HBase relies on Hadoop to be setup by the Whirr service we would need some surgery that would imply service ordering.

      1. WHIRR-240.patch
        2 kB
        Bruno Dumon
      2. hbase-ec2-090.properties
        2 kB
        Bruno Dumon
      3. WHIRR-240-tests.patch
        10 kB
        Bruno Dumon
      4. WHIRR-240.patch
        14 kB
        Bruno Dumon

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Bruno Dumon
            Reporter:
            Lars George
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development